@charset "UTF-8";

/* RESET
--------------------------------------------------*/
svg,
svg:hover {
	display: block;
	position: relative;
	line-height: 1;
	max-width: 100%;
	max-height: 100%;	
	transition:
		background-color var(--wp--custom--motion--fast),
		fill var(--wp--custom--motion--fast);
}
a:link {
	-webkit-tap-highlight-color: rgba(255,255, 210, 0.3);
}
::-moz-selection {
	background: rgba(255,255, 210, 0.3);
}
::selection {
	background: rgba(255,255, 210, 0.3);
}
code {
	background-color: #8F98A122;
	border-radius: var(--wp--custom--border-radius--small);
	font-weight: 700;
	font-size: 82%;
	padding: 0.25em 0.5em !important;
}
[type=tel],
[type=date],
[type=number],
[type=search],
[type=text],
[type=email],
[type=url],
[type=password],
[type=submit]{
	height: auto;
	vertical-align: middle;
	font-family: inherit;
	border-radius: var(--wp--custom--border-radius--small);
}
[type=submit] {
	border-radius: var(--wp--custom--border-radius--small);
}
:root :where(.wp-block-heading) {
  color: currentColor;
}


/* GLOBAL
--------------------------------------------------*/
body {
	background-color: var(--wp--preset--color--site-slate);
	padding-top: var(--header-height);
}
.site-main {
	background-color: var(--wp--preset--color--site-white);
}
.zindex,
.single-content {
	position: relative;
	z-index: 1;
}
.zindex-overflow {
	overflow-y: visible;
}
.site-stickybar {
	top: 110px;
}


/* MOBILE
--------------------------------------------------*/
.wp-block-navigation__responsive-container.has-modal-open {
	background-color: var(--wp--preset--color--site-black) !important;
}
.wp-block-navigation__responsive-container.has-modal-open .wp-block-navigation__submenu-container {
	padding: 0 0 0 24px !important;
}
.wp-block-navigation__responsive-container.has-modal-open .wp-block-navigation__container > .wp-block-navigation-item > a {
	font-weight: bold !important;
	text-transform: uppercase;
	letter-spacing: 0.02em;
}
.wp-block-navigation__responsive-container.has-modal-open .wp-block-navigation-item__content {
	color: var(--wp--preset--color--site-white);
	font-size: clamp(14.5px, 3vw, 17px);
	padding: 3px !important;
}
.wp-block-navigation__responsive-container-close {
	color: var(--wp--preset--color--site-white);
}
.wp-block-navigation__responsive-container.is-menu-open .wp-block-navigation__responsive-container-content {
	padding: 0;
}


/* HEADER
--------------------------------------------------*/
.site-header {
	box-shadow: 0 0 32px #00000033;
	position: sticky;
	transition: transform 600ms;
	width: 100%;
	z-index: 100;
	top: 0;
}
@media (min-width: 768px) {
	.scroll-down .site-header {
		transform: translate3d(0, -100%, 0);
	}
	.scroll-up .site-header {
		transform: none;
	}
}

/* NAVIGATION */
.site-header .wp-block-navigation__responsive-container:not(.has-modal-open) li a:hover {
	color: var(--wp--preset--color--site-charcoal);
}
.site-header .wp-block-navigation__responsive-container:not(.has-modal-open) .wp-block-navigation__submenu-container {
	border-radius: 3px;
	box-shadow: 0 3px 3px #00000066;
}
.site-header .wp-block-navigation__responsive-container:not(.has-modal-open) .wp-block-navigation__submenu-container li {
	border-radius: 3px;
	overflow: hidden;
}
.site-header .wp-block-navigation__responsive-container:not(.has-modal-open) .wp-block-navigation__submenu-container li a {
	padding: 4px 10px;
	line-height: 1.3;
	font-size: 14.5px;
	text-align: center;
}
.site-header .wp-block-navigation__responsive-container:not(.has-modal-open) .wp-block-navigation__submenu-container li:hover a {
	background-color: #eaeaea;
	color: var(--wp--preset--color--site-charcoal);
}
.site-header .wp-block-navigation__responsive-container:not(.has-modal-open) .wp-block-navigation__submenu-container li:first-child a {
	padding-top: 8px;
}
.site-header .wp-block-navigation__responsive-container:not(.has-modal-open) .wp-block-navigation__submenu-container li:last-child a {
	padding-bottom: 8px;
}
.site-header .wp-block-navigation__responsive-container:not(.has-modal-open) .has-child > a  {
	white-space: nowrap;
}
.site-header .wp-block-navigation .has-child:not(.open-on-click):hover > .wp-block-navigation__submenu-container {
	min-width: 140px;
	padding: 0;
}
.site-header .wp-block-navigation:not(.has-background) .wp-block-navigation__submenu-container {
	border: 0;
}
.site-header .wp-block-navigation-item > a:hover {
	color: var(--wp--preset--color--site-aqua) !important;
}
.site-header .wp-block-navigation__submenu-container a:hover {
	color: var(--wp--preset--color--site-coral) !important;
}

/* SEARCH
--------------------------------------------------*/
.site-search {
	margin: -10px !important;
	border-radius: 40px !important;
	overflow: hidden;
}
.site-search svg {
	padding: 10px;
	fill: var(--wp--preset--color--site-white);
	transition: 
		background-color var(--wp--custom--motion--fast),
		fill var(--wp--custom--motion--fast);
}
.site-search:hover svg {
	background-color: var(--wp--preset--color--site-white);
	fill: var(--wp--preset--color--site-coral) !important;
}
.wp-block-search__button-inside .wp-block-search__inside-wrapper {
  border-color: color-mix( in oklch, var(--wp--preset--color--site-charcoal), transparent 70% );
  border-radius: var(--wp--custom--border-radius--medium);
}

/* ARCHIVES
--------------------------------------------------*/
@media (min-width: 960px) and (max-width: 1251px) {
	.articles li:nth-child(10n-8) {
		grid-column-start: 2;
		grid-column-end: 4;
	}
	.articles li:nth-child(10n-4) {
		grid-column-start: 1;
		grid-column-end: 3;
	}
}
@media (min-width: 1252px) {
	.articles li:nth-child(10n+1),
	.articles li:nth-child(10n+6) {
		grid-column: span 2;
	}
}


/* COMPONENT: FIGURES
--------------------------------------------------*/
figcaption {
	font-size: 14px !important;
}
article article .wp-caption {
	border: 1px solid var(--wp--preset--color--site-cream);
	border-bottom: 0;
	background-color: var(--wp--preset--color--site-white);
	border-bottom-left-radius: var(--wp--custom--border-radius--small);
	border-bottom-right-radius: var(--wp--custom--border-radius--small);
	margin: 2em 0;
	line-height: 0;
}
article .wp-caption img {
	border-bottom-left-radius: 0;
	border-bottom-right-radius: 0;
	line-height: 0;
}
article .wp-caption-text {
	padding: .2em 1em .65em;
	background-color: var(--wp--preset--color--site-white);
	font-size: 70%;
	line-height: 1.5;
	font-style: italic;
	text-align: center;
	border: 1px solid var(--wp--preset--color--site-cream);
	border-top: 0;
}
article .wp-block-image figure {
	text-align: center;
}
article .wp-block-image figure img {
	max-width: 100%;
	margin: 0;
}

article .wp-block-gallery,
article .wp-block-image {
	background-color: var(--wp--preset--color--site-white);
	border: 1px solid var(--wp--preset--color--site-cream);
	margin: 1em auto 1em auto;
	border-radius: var(--wp--custom--border-radius--small);
	padding: 0.75em;
}
article .wp-block-gallery .blocks-gallery-item__caption a {
	color: var(--wp--preset--color--site-white);
	text-decoration: underline;
}
article .wp-block-gallery .blocks-gallery-item__caption a:hover {
	color: var(--wp--preset--color--site-charcoal);
}

article .wp-block-image figcaption {
	padding-top: 0.5em;
}
article .wp-block-gallery {
	padding-bottom: 0em;
}
.blocks-gallery-caption {
	display: block;
	padding-bottom: 0.85em;
}

.blocks-gallery-grid .blocks-gallery-image figcaption,
.blocks-gallery-grid .blocks-gallery-item figcaption,
.wp-block-gallery .blocks-gallery-image figcaption,
.wp-block-gallery .blocks-gallery-item figcaption {
	padding: 8px 12px;
	color: var(--wp--preset--color--site-cream);
	text-align: left;
	font-size: .8em;
	background: linear-gradient(0deg,rgb(0,0,0,.7),rgb(0,0,0,.7) 100%,transparent);
	line-height: 1.25;
}



/* COMPONENT: METER
--------------------------------------------------*/
.meter {
	display: grid;
	grid-template-columns: 1fr auto;
	grid-template-rows: auto auto;
	gap: 4px;
	background: none !important;
	align-items: center;
	--_mtr-size: 20px;
	font-size: var(--wp--preset--font-size--small);
}
.meter-details,
.meter-percent {
	font-weight: bold;
	font-size: var(--wp--preset--font-size--small);
}
.meter-track {
	grid-column: 1 / 3;
	background-color: var(--wp--preset--color--site-white);
	height: var(--_mtr-size);
	border-radius: var(--_mtr-size);
	/* box-shadow: inset 0 0 2px rgba(0, 0, 0, 1); */
	overflow: hidden;
}
.meter-marker {
	display: grid;
	align-content: center;
	padding-inline: 10px;
	height: 100%;
	border-radius: var(--_mtr-size) 0 0 var(--_mtr-size);
	background-color: var(--wp--preset--color--site-gold);
	font-size: var(--wp--preset--font-size--small);
	/* box-shadow: inset 0 0 1.5px rgba(0, 0, 0, 1); */
	font-weight: bold;
}
.meter-goal {
	background-color: #91FFE5;
}
.meter-goal > span {
	background-color: var(--wp--preset--color--site-turquoise) !important;
	max-width: 90%;
}



/* COMPONENT: CALENDAR
--------------------------------------------------*/
[class*="has-icon-"] {
	display: inline-flex;
	align-items: center;
	gap: 0.4em;
}

[class*="has-icon-"]::before {
	content: "";
	display: inline-block;
	width: 14px;
	height: 14px;
	background-color: currentColor;
	mask-size: contain;
	mask-repeat: no-repeat;
}

.has-icon-date::before {
	mask-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 100 100'%3E%3Cpath d='M78.1 15.6H65.6v-3.1a3.1 3.1 0 1 0-6.2 0v3.1H37.5v-3.1a3.1 3.1 0 1 0-6.2 0v3.1h-9.4a9.4 9.4 0 0 0-9.4 9.4v56.3c0 5.1 4.2 9.3 9.4 9.3H78c5.2 0 9.4-4.2 9.4-9.3V25c0-5.2-4.2-9.4-9.4-9.4zM22 22h9.3v3a3.1 3.1 0 1 0 6.3 0v-3.1h21.9V25a3.1 3.1 0 1 0 6.2 0v-3.1h12.5a3 3 0 0 1 3.2 3.1v12.5H18.8V25a3 3 0 0 1 3-3.1M78 84.4H22a3 3 0 0 1-3.2-3.2V43.9h62.6v37.5a3 3 0 0 1-3.2 3'/%3E%3C/svg%3E");
}
.has-icon-location::before {
	mask-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 100 100'%3E%3Cpath fill-rule='evenodd' d='M26.97 17.16a32.61 32.61 0 0 1 46.05 0c12.17 12.16 12.1 31.6-.18 46.24L50 90.66 27.15 63.4c-12.27-14.63-12.34-34.08-.18-46.24zm-4.45 50.13L47.68 97.3a3.01 3.01 0 0 0 4.64 0l25.16-30.02a44.33 44.33 0 0 0 10.6-27.48A36.8 36.8 0 0 0 77.3 12.88a38.72 38.72 0 0 0-54.6 0A36.8 36.8 0 0 0 11.9 39.8c.3 10.1 4.05 19.8 10.62 27.48zM50 27.33a12.57 12.57 0 1 0 0 25.15 12.57 12.57 0 0 0 0-25.15zm0 31.22a18.65 18.65 0 0 0 13.18-31.8 18.65 18.65 0 0 0-31.81 13.17A18.67 18.67 0 0 0 50 58.56z'/%3E%3C/svg%3E");
}
.has-icon-link::before {
	mask-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 100 100'%3E%3Cpath d='M75 52.7V27.9a3 3 0 0 0-2.9-3H47.4c-1.6 0-3 1.4-3 3a3 3 0 0 0 3 2.9H72l-2.9-3v24.8c0 1.6 1.4 3 3 3a3 3 0 0 0 2.9-3z'/%3E%3Cpath d='m30 74.2 4.3-4.4L45 59.2l12.8-12.8 11-11 5.5-5.4c1.1-1.2 1.2-3.2 0-4.2a3 3 0 0 0-4.1 0l-4.4 4.4L55 40.8 42.3 53.6l-11 11-5.4 5.4h-.1c-1.1 1.2-1.2 3.2 0 4.2a3 3 0 0 0 4.1 0z'/%3E%3Cpath d='M83.3 89.9H16.7l-1.2-.1.7.1a10.2 10.2 0 0 1-1.7-.3l-1.6-.9-.4-.3s.7.5.2.2a9.8 9.8 0 0 1-1.3-1.3c-.1-.2-.3-.6.2.2l-.3-.4a9.1 9.1 0 0 1-.6-1c-.3-.7-.5-1.5-.6-2.3l.1.8V15.5l-.1.8a10.2 10.2 0 0 1 .4-1.7l.8-1.6.3-.5s-.5.7-.2.2a9.8 9.8 0 0 1 1.3-1.2l-.2.1c.2 0 .3-.2.4-.3l1.6-.8-.7.3c.8-.4 1.6-.6 2.4-.7l-.7.1H84.5h-.7c.8 0 1.6.2 2.4.6l-.7-.3 1.6.8.4.3s-.7-.5-.2-.1l.7.6.6.6c.1.2.3.6-.2-.2l.3.5a9.1 9.1 0 0 1 .6.9c.3.7.5 1.5.6 2.4l-.1-.8V84.6l.1-.8a10.2 10.2 0 0 1-.3 1.7l-.9 1.6-.3.4s.5-.7.2-.2l-.6.7-.7.6c-.2.1-.6.3.2-.2l-.4.3-1.6.9.7-.3-2.4.6.7-.1h-1.2c-1.5 0-3 1.4-2.9 3a3 3 0 0 0 3 3 12.6 12.6 0 0 0 12.4-11.3V16.7A12.5 12.5 0 0 0 83.1 4.3H16.4c-3.1 0-6 1.3-8.3 3.4-2.3 2.1-3.5 5-3.8 8v67.5c0 2 .4 3.7 1.1 5.4 2 4.4 6.6 7.2 11.4 7.2h66.5c1.6 0 3-1.4 3-3a3 3 0 0 0-3-3z'/%3E%3C/svg%3E");
}